- https://controlcenter.verotel.com/api
GET https://controlcenter.verotel.com/api/dashboard/announcementsconst url = new URL("https://controlcenter.verotel.com/api/dashboard/announcements");
const response = await fetch(url);from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/dashboard/announcements")// GET https://controlcenter.verotel.com/api/dashboard/announcements
$url = "https://controlcenter.verotel.com/api/dashboard/announcements";// GET https://controlcenter.verotel.com/api/dashboard/announcements
String url = "https://controlcenter.verotel.com/api/dashboard/announcements";/dashboard/announcementsThis endpoint provides currently valid announcements, otherwise shown in Control Center.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
html_contentstringrequiredbody of the announcement in HTML format
fingerprintstringrequiredhash of the announcement content, can be used to differentiate between announcements
Unauthorized access
Missing version
GET https://controlcenter.verotel.com/api/dashboard/drill-downconst url = new URL("https://controlcenter.verotel.com/api/dashboard/drill-down");
const response = await fetch(url);from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/dashboard/drill-down")// GET https://controlcenter.verotel.com/api/dashboard/drill-down
$url = "https://controlcenter.verotel.com/api/dashboard/drill-down";// GET https://controlcenter.verotel.com/api/dashboard/drill-down
String url = "https://controlcenter.verotel.com/api/dashboard/drill-down";/dashboard/drill-downHeaders
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
resultobjectrequiredList of drill down results
group_labelstringrequiredName of drill down group (drill down by website_id => group labels might be e.g. "My video website")
idstringrequiredID of drill down group (drill down by website_id => id might be e.g. "60678")
sale_price_amountstringrequiredAmount in sale currency (only available for drill down by currency, otherwise null)
total_amountstringrequiredAmount in requested output currency
Unauthorized access
Missing version
GET https://controlcenter.verotel.com/api/dashboard/totals
?output_currency=valueconst url = new URL("https://controlcenter.verotel.com/api/dashboard/totals");
url.searchParams.set("output_currency", "value");
const response = await fetch(url);from urllib.parse import urlencode
from urllib.request import urlopen
params = {
"output_currency": "value",
}
url = "https://controlcenter.verotel.com/api/dashboard/totals?" + urlencode(params)
response = urlopen(url)// GET https://controlcenter.verotel.com/api/dashboard/totals
$params = [
"output_currency" => "value",
];// GET https://controlcenter.verotel.com/api/dashboard/totals
Map<String, String> params = Map.ofEntries(
Map.entry("output_currency", "value")
);/dashboard/totalsQuery parameters
output_currencystringThe currency you want to get the totals in
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
todaynumberrequiredSales for today
yesterdaynumberrequiredSales for yesterday
last_7_daysnumberrequiredSales for last 7 days (excl. today)
last_30_daysnumberrequiredSales for last 30 days (excl. today)
last_365_daysnumberrequiredSales for last 365 days (excl. today)
prior_7_days_diffnumberrequiredPercent change comparing last 7 days and its previous period
prior_30_days_diffnumberrequiredPercent change comparing last 30 days and its previous period
prior_365_days_diffnumberrequiredPercent change comparing last 365 days and its previous period
Unauthorized access
Missing version
GET https://controlcenter.verotel.com/api/sale/123456const url = new URL("https://controlcenter.verotel.com/api/sale/123456");
const response = await fetch(url);from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/sale/123456")// GET https://controlcenter.verotel.com/api/sale/123456
$url = "https://controlcenter.verotel.com/api/sale/123456";// GET https://controlcenter.verotel.com/api/sale/123456
String url = "https://controlcenter.verotel.com/api/sale/123456";/sale/{id}Path parameters
idnumberrequiredSale unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
idnumberrequiredUnique sale ID
website_idnumberrequiredWebsite ID
sale_typestringrequiredpriceobjectrequiredApplies to both purchases and subscriptions (i.e. rebill price)
amountstringrequiredcurrencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR, GBP
trial_priceobjectIf the subscription has trial period, this is its price
amountstringrequiredcurrencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR,
descriptionstringrequiredDescription of the subscription or purchase
reference_idstringrequiredCustom identifier posted by merchant
created_atstringrequiredDate and time when the sale has been created
buyer_namestringrequiredName of the buyer
buyer_emailstringrequiredEmail of the buyer
buyer_ipstringrequiredIP address of the buyer
countrystringrequiredCountry from which the sale has been made; 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany
addressobjectBuyer street address, if it was required for the sale
full_namestringrequiredName associated with the address
companystringrequiredCompany associated with the address
address_line1stringrequired1st line of address
address_line2stringrequired2nd line of address
citystringrequiredCity (municipality)
zipstringrequiredPostal/ZIP code
statestringrequiredState, only in case of US, ISO 3166-2 code e.g. US-CA = California
countrystringrequiredCountry 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany
subscriptionobjectIf the sale is a subscription, this contains detailed information about it
is_recurringstringrequiredIndicates if the subscription will be automatically rebilled
periodstringrequiredSubscription period in ISO-8601 format, eg. P2Y = 2 years
is_expiredstringrequiredIndicates if the subscription is not active anymore
next_charge_onstringrequiredDate on which next charge will be made for the subscription
is_cancelledstringrequiredIndicates if the subscription has been cancelled, i.e. future recurring has been stopped, but it may still be active
expiration_datestringrequiredWhen the subscription expires
cancel_discountobjectrequiredDiscount applied when buyer tried to cancel subscription. This object replaces simple is_discounted field in previous version
is_appliedbooleanrequiredIndicates if the buyer has been offered and accepted a discount when they tried to cancel the subscription
percentnumberIf applied = true, this is the amount of the discount in percent i.e. 10 - 50 %
applied_onstringIf applied = true, this is the date when the buyer accepted the discount; ISO-8601 format e.g. 2016-04-27
price_after_discountobjectIf applied = true, this is the price after the discount was applied; this field does not reflect any subsequent changes to the price, it is a snapshot in time
amountstringrequiredcurrencystringrequiredPrice currency as ISO 4217 code
custom1stringrequiredCustom merchant field #1
custom2stringrequiredCustom merchant field #2
custom3stringrequiredCustom merchant field #3
payment_methodstringrequiredis_approvedbooleanrequiredIndicates if the transaction has been approved i.e. the price was paid
is_testingbooleanrequiredIndicates if the transaction was processed using a testing credit card number; such transaction does not represent real money
Unauthorized access
Missing version
POST https://controlcenter.verotel.com/api/sale/123456/cancelconst url = new URL("https://controlcenter.verotel.com/api/sale/123456/cancel");
const response = await fetch(url, { method: "POST" });from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/sale/123456/cancel")// POST https://controlcenter.verotel.com/api/sale/123456/cancel
$url = "https://controlcenter.verotel.com/api/sale/123456/cancel";// POST https://controlcenter.verotel.com/api/sale/123456/cancel
String url = "https://controlcenter.verotel.com/api/sale/123456/cancel";/sale/{id}/cancelPath parameters
idnumberrequiredSale unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
is_successbooleanrequiredIndicates if the operation succeeded
Unauthorized access
Missing version
Invalid parameter
POST https://controlcenter.verotel.com/api/sale/123456/downgradeconst url = new URL("https://controlcenter.verotel.com/api/sale/123456/downgrade");
const response = await fetch(url, { method: "POST" });from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/sale/123456/downgrade")// POST https://controlcenter.verotel.com/api/sale/123456/downgrade
$url = "https://controlcenter.verotel.com/api/sale/123456/downgrade";// POST https://controlcenter.verotel.com/api/sale/123456/downgrade
String url = "https://controlcenter.verotel.com/api/sale/123456/downgrade";/sale/{id}/downgradePath parameters
idnumberrequiredSale unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
is_successbooleanrequiredIndicates if the operation succeeded
sale_idnumberrequiredUnique sale ID
Unauthorized access
Missing version
POST https://controlcenter.verotel.com/api/sale/123456/extendconst url = new URL("https://controlcenter.verotel.com/api/sale/123456/extend");
const response = await fetch(url, { method: "POST" });from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/sale/123456/extend")// POST https://controlcenter.verotel.com/api/sale/123456/extend
$url = "https://controlcenter.verotel.com/api/sale/123456/extend";// POST https://controlcenter.verotel.com/api/sale/123456/extend
String url = "https://controlcenter.verotel.com/api/sale/123456/extend";/sale/{id}/extendExtends subscription period of the sale
Path parameters
idnumberrequiredSale unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
is_successbooleanrequiredIndicates if the operation succeeded
sale_idnumberrequiredUnique sale ID
new_expiration_datestringrequiredThe new expiration date, after it has been extended
Unauthorized access
Missing version
POST https://controlcenter.verotel.com/api/sale/123456/terminateconst url = new URL("https://controlcenter.verotel.com/api/sale/123456/terminate");
const response = await fetch(url, { method: "POST" });from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/sale/123456/terminate")// POST https://controlcenter.verotel.com/api/sale/123456/terminate
$url = "https://controlcenter.verotel.com/api/sale/123456/terminate";// POST https://controlcenter.verotel.com/api/sale/123456/terminate
String url = "https://controlcenter.verotel.com/api/sale/123456/terminate";/sale/{id}/terminatePath parameters
idnumberrequiredSale unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
is_successbooleanrequiredIndicates if the operation succeeded
sale_idnumberrequiredUnique sale ID
Unauthorized access
Missing version
GET https://controlcenter.verotel.com/api/sale/123456/transactions
?is_approved=value
&is_testing=valueconst url = new URL("https://controlcenter.verotel.com/api/sale/123456/transactions");
url.searchParams.set("is_approved", "value");
url.searchParams.set("is_testing", "value");
const response = await fetch(url);from urllib.parse import urlencode
from urllib.request import urlopen
params = {
"is_approved": "value",
"is_testing": "value",
}
url = "https://controlcenter.verotel.com/api/sale/123456/transactions?" + urlencode(params)
response = urlopen(url)// GET https://controlcenter.verotel.com/api/sale/123456/transactions
$params = [
"is_approved" => "value",
"is_testing" => "value",
];// GET https://controlcenter.verotel.com/api/sale/123456/transactions
Map<String, String> params = Map.ofEntries(
Map.entry("is_approved", "value"),
Map.entry("is_testing", "value")
);/sale/{id}/transactionsReturns all transactions for sale id sorted by created_at in ascending order
Path parameters
idnumberrequiredSale unique ID.
Query parameters
is_approvedbooleanIndicates if only approved (i.e. transactions whose price was paid) or not approved transactions should be returned. If omitted, both approved and not approved transactions are returned.
is_testingbooleanIndicates if only testing (i.e. transactions processed using a testing credit card number; such transaction do not represent real money) or not testing transactions should be returned. If omitted, both testing and not testing transactions are returned.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
created_atstringrequiredDate and time when the transaction was created
idnumberrequiredUnique transaction identifier
priceobjectrequiredPrice of the transaction
amountstringrequiredPrice amount
currencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR, GBP
website_idnumberrequiredUnique identifier of the website the transaction belongs to
is_approvedbooleanrequiredIndicates if the transaction has been approved i.e. the price was paid
is_testingbooleanrequiredIndicates if the transaction was processed using a testing credit card number; such transaction does not represent real money
payment_methodstringrequiredtransaction_subtypestringrequiredtransaction_typestringrequiredpayment_instrumentobjectrequiredIndicates the payment instrument used to pay the price of this transaction
typestringrequiredType of payment instrument (credit card, bank account etc.)
masked_identifierobjectrequiredIdentification of the payment instrument
Unauthorized access
Missing version
Missing query parameter
GET https://controlcenter.verotel.com/api/transaction/123456const url = new URL("https://controlcenter.verotel.com/api/transaction/123456");
const response = await fetch(url);from urllib.request import urlopen
response = urlopen("https://controlcenter.verotel.com/api/transaction/123456")// GET https://controlcenter.verotel.com/api/transaction/123456
$url = "https://controlcenter.verotel.com/api/transaction/123456";// GET https://controlcenter.verotel.com/api/transaction/123456
String url = "https://controlcenter.verotel.com/api/transaction/123456";/transaction/{id}Path parameters
idnumberrequiredTransaction unique ID.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
idnumberrequiredUnique transaction identifier
decline_reasonobjectIf the transaction was declined, i.e. not approved, this will contain the reason why it wasn't approved
idstringrequireddescriptionstringrequiredcreated_atstringrequiredDate and time when the transaction was created
saleobjectrequiredInformation about the sale this transaction belongs to
custom1numberrequiredCustom merchant field #1
custom2numberrequiredCustom merchant field #2
custom3numberrequiredCustom merchant field #3
idnumberrequiredUnique sale identifier
reference_idstringrequiredCustom identifier posted by merchant
typestringrequiredwebsite_idnumberrequiredUnique identifier of the website the transaction belongs to
priceobjectrequiredPrice of the transaction
amountstringrequiredPrice amount
currencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR, GBP
reversal_extentstringrequiredIndicates if transaction was fully, partially or not yet been reversed
reversalsobjectIf the transaction is reversed (refunded or chargebacked), the reversals are listed here
idnumberrequiredReversal transaction ID
typestringrequiredpriceobjectrequiredPrice of the reversal transaction
amountstringrequiredPrice amount
currencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR, GBP
original_debit_transaction_idnumberrequiredIf the transaction is a reversal (refund or chargeback), this field contains reference to the reversed debit transaction
is_approvedbooleanrequiredIndicates if the transaction has been approved i.e. the price was paid
is_testingbooleanrequiredIndicates if the transaction was processed using a testing credit card number; such transaction does not represent real money
payment_methodstringrequiredtransaction_subtypestringrequiredtransaction_typestringrequiredpayment_instrumentobjectrequiredIndicates the payment instrument used to pay the price of this transaction
typestringrequiredType of payment instrument (credit card, bank account etc.)
masked_identifierobjectrequiredIdentification of the payment instrument
Unauthorized access
Missing version
POST https://controlcenter.verotel.com/api/transaction/123456/refund
content-type: application/json
{
"partial_refund_amount": "1"
}{
"partial_refund_amount": "1"
}const response = await fetch("https://controlcenter.verotel.com/api/transaction/123456/refund", {
method: "POST",
headers: {
"content-type": "application/json",
},
body: JSON.stringify(
{
"partial_refund_amount": "1"
}
),
});from urllib.request import Request, urlopen
request = Request(
"https://controlcenter.verotel.com/api/transaction/123456/refund",
data="""
{
"partial_refund_amount": "1"
}
""".encode(),
headers={
"content-type": "application/json",
},
method="POST",
)
response = urlopen(request)// POST https://controlcenter.verotel.com/api/transaction/123456/refund
$url = "https://controlcenter.verotel.com/api/transaction/123456/refund";
$body = <<<'JSON'
{
"partial_refund_amount": "1"
}
JSON;// POST https://controlcenter.verotel.com/api/transaction/123456/refund
String url = "https://controlcenter.verotel.com/api/transaction/123456/refund";
String body = """
{
"partial_refund_amount": "1"
}
""";/transaction/{id}/refundPath parameters
idnumberrequiredId of the transaction to be refunded.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Request body
application/json
partial_refund_amountnumberIf you only want to refund part of the amount, indicate it here. Minimum amount to refund is the same as your regular transaction minimum amount.
Responses
Success 200
is_successbooleanrequiredIndicates if the operation succeeded
refund_transaction_idnumberrequiredId of the created refund transaction
warningobjectIf there have been some problems
messagestringMessage, describing the problem
Unauthorized access
Missing version
Transaction has linker / too large partial refund amount etc.
GET https://controlcenter.verotel.com/api/website/123456/sales
?is_approved=value
&is_testing=valueconst url = new URL("https://controlcenter.verotel.com/api/website/123456/sales");
url.searchParams.set("is_approved", "value");
url.searchParams.set("is_testing", "value");
const response = await fetch(url);from urllib.parse import urlencode
from urllib.request import urlopen
params = {
"is_approved": "value",
"is_testing": "value",
}
url = "https://controlcenter.verotel.com/api/website/123456/sales?" + urlencode(params)
response = urlopen(url)// GET https://controlcenter.verotel.com/api/website/123456/sales
$params = [
"is_approved" => "value",
"is_testing" => "value",
];// GET https://controlcenter.verotel.com/api/website/123456/sales
Map<String, String> params = Map.ofEntries(
Map.entry("is_approved", "value"),
Map.entry("is_testing", "value")
);/website/{id}/salesReturns all sales for website id sorted by created_at in ascending order
This call is limited to 5000 sales. If the selected filters result in a larger number of sales, HTTP error 412 - Precondition Failed will be returned and you wil have to narrow down your filtering criteria (reduce date range etc.)
Path parameters
idnumberrequiredWebsite unique ID
Query parameters
is_approvedbooleanIndicates if only approved or not approved sales should be returned. If omitted, both approved and not approved records are returned.
is_testingbooleanIndicates if only testing or not testing transactions should be returned. If omitted, both testing and not testing records are returned.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
idnumberrequiredUnique sale identifier
created_atstringrequiredDate and time when the sale was created
is_approvedbooleanrequiredIndicates if the sale has been approved i.e. the price was paid
is_testingbooleanrequiredIndicates if the sale was processed using a testing credit card number; such sale does not represent real money
is_subscriptionbooleanrequiredIndicates if the sale represents a subscription or a one-off sale
priceobjectrequiredPrice of the sale / recurring price (for recurring subscription)
amountstringrequiredPrice amount
currencystringrequiredPrice currency
custom1numberrequiredCustom merchant field #1
custom2numberrequiredCustom merchant field #2
custom3numberrequiredCustom merchant field #3
reference_idstringrequiredCustom identifier posted by merchant
descriptionstringrequiredDescription of the subscription or purchase
buyer_namestringrequiredName of the buyer
buyer_emailstringrequiredEmail of the buyer
countrystringrequiredCountry from which the sale has been made; 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany
addressobjectBuyer street address, if it was required for the sale
full_namestringrequiredName associated with the address
companystringrequiredCompany associated with the address
address_line1stringrequired1st line of address
address_line2stringrequired2nd line of address
citystringrequiredCity (municipality)
zipstringrequiredPostal/ZIP code
statestringrequiredState, only in case of US, ISO 3166-2 code e.g. US-CA = California
countrystringrequiredCountry 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany
subscriptionobjectIf the sale is a subscription, this contains detailed information about it
trial_priceobjectPrice of the trial period
amountstringrequiredPrice amount
currencystringrequiredPrice currency
is_recurringstringrequiredIndicates if the subscription will be automatically rebilled
periodstringrequiredSubscription period in ISO-8601 format, eg. P2Y = 2 years
trial_periodstringrequiredSubscription trial period in ISO-8601 format, eg. P2Y = 2 years
is_expiredstringrequiredIndicates if the subscription is not active anymore
next_charge_onstringrequiredDate on which next charge will be made for the subscription
is_cancelledstringrequiredIndicates if the subscription has been cancelled, i.e. future recurring has been stopped, but it may still be active
expiration_datestringrequiredWhen the subscription expires
cancel_discountobjectrequiredDiscount applied when buyer tried to cancel subscription. This object replaces simple is_discounted field in previous version
is_appliedbooleanrequiredIndicates if the buyer has been offered and accepted a discount when they tried to cancel the subscription
percentagenumberIf applied = true, this is the amount of the discount in percent i.e. 10 - 50 %
applied_onstringIf applied = true, this is the date when the buyer accepted the discount; ISO-8601 format e.g. 2016-04-27
price_after_discountobjectIf applied = true, this is the price after the discount was applied; this field does not reflect any subsequent changes to the price, it is a snapshot in time
amountstringrequiredcurrencystringrequiredPrice currency as ISO 4217 code
typestringrequiredpayment_methodstringrequiredUnauthorized access
Missing version
Invalid date range
GET https://controlcenter.verotel.com/api/website/123456/transactions
?to_date=value
&is_approved=value
&is_testing=valueconst url = new URL("https://controlcenter.verotel.com/api/website/123456/transactions");
url.searchParams.set("to_date", "value");
url.searchParams.set("is_approved", "value");
url.searchParams.set("is_testing", "value");
const response = await fetch(url);from urllib.parse import urlencode
from urllib.request import urlopen
params = {
"to_date": "value",
"is_approved": "value",
"is_testing": "value",
}
url = "https://controlcenter.verotel.com/api/website/123456/transactions?" + urlencode(params)
response = urlopen(url)// GET https://controlcenter.verotel.com/api/website/123456/transactions
$params = [
"to_date" => "value",
"is_approved" => "value",
"is_testing" => "value",
];// GET https://controlcenter.verotel.com/api/website/123456/transactions
Map<String, String> params = Map.ofEntries(
Map.entry("to_date", "value"),
Map.entry("is_approved", "value"),
Map.entry("is_testing", "value")
);/website/{id}/transactionsReturns all transactions for website id sorted by created_at in ascending order
This call is limited to 5000 transactions. If the selected filters result in a larger number of transactions, HTTP error 412 - Precondition Failed will be returned and you wil have to narrow down your filtering criteria (reduce date range etc.)
Path parameters
idnumberrequiredWebsite unique ID
Query parameters
to_datestringISO date (e.g. 2016-12-31) Transactions with this date or earlier will be returned
is_approvedbooleanIndicates if only approved (i.e. transactions whose price was paid) or not approved transactions should be returned. If omitted, both approved and not approved transactions are returned.
is_testingbooleanIndicates if only testing (i.e. transactions processed using a testing credit card number; such transaction do not represent real money) or not testing transactions should be returned. If omitted, both testing and not testing transactions are returned.
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
created_atstringrequiredDate and time when the transaction was created
idnumberrequiredUnique transaction identifier
priceobjectrequiredPrice of the transaction
amountstringrequiredPrice amount
converted_amountstringIf convert_to_currency parameter is used, this contains the converted amount
converted_currencystringIf convert_to_currency parameter is used, this contains the converted currency
currencystringrequiredPrice currency as ISO 4217 code, e.g. USD, EUR, GBP
saleobjectrequiredInformation about the sale this transaction belongs to
custom1numberrequiredCustom merchant field #1
custom2numberrequiredCustom merchant field #2
custom3numberrequiredCustom merchant field #3
idnumberrequiredUnique sale identifier
reference_idstringrequiredCustom identifier posted by merchant
typestringrequiredType of the sale
is_approvedbooleanrequiredIndicates if the transaction has been approved i.e. the price was paid
is_testingbooleanrequiredIndicates if the transaction was processed using a testing credit card number; such transaction does not represent real money
payment_methodstringrequiredtransaction_subtypestringrequiredtransaction_typestringrequiredpayment_instrumentobjectrequiredIndicates the payment instrument used to pay the price of this transaction
typestringrequiredType of payment instrument (credit card, bank account etc.)
masked_identifierobjectrequiredIdentification of the payment instrument
Unauthorized access
Missing version
Invalid date range
GET https://controlcenter.verotel.com/api/websites
?hidden=valueconst url = new URL("https://controlcenter.verotel.com/api/websites");
url.searchParams.set("hidden", "value");
const response = await fetch(url);from urllib.parse import urlencode
from urllib.request import urlopen
params = {
"hidden": "value",
}
url = "https://controlcenter.verotel.com/api/websites?" + urlencode(params)
response = urlopen(url)// GET https://controlcenter.verotel.com/api/websites
$params = [
"hidden" => "value",
];// GET https://controlcenter.verotel.com/api/websites
Map<String, String> params = Map.ofEntries(
Map.entry("hidden", "value")
);/websitesReturns list of merchant's websites, optionally filtered
Query parameters
hiddenbooleanShow only visible / hidden websites
Headers
AuthorizationstringrequiredHTTP basic authorization. See description on top of this page.
AcceptstringrequiredRequested content type and version of recource. See description on top of this page.
Responses
Success 200
descriptionstringrequiredWebsite description
idnumberrequiredUnique website identifier
is_hiddenbooleanrequiredIndicates whether the website is hidden or not
is_testing_modebooleanrequiredIndicates whether the website is in testing mode or not
namestringrequiredWebsite name
status_descriptionstringrequiredStatus of the website as a readable text
typestringrequiredType of the website
urlstringrequiredURL of the website
Unauthorized access
Missing version
Missing query parameter